param n, integer;
param ben{1..n}, integer;
param poids{1..n};
param litres{1..n};
var x{1..n}, >=0, <=2, integer;
var c>=0,<=2;
maximize obj :(sum{i in 1..n} ben[i]   *x[i]) - 0.1*c;
s.t. c_poids : sum{i in 1..n} poids[i] *x[i] <= 12+c;
s.t. c_volume: sum{i in 1..n} litres[i]*x[i] <= 12;
s.t. max_3_a: sum{i in 1..n}          x[i] <= 3;
solve;
printf "obj=%g\n", (sum{i in 1..n} ben[i]  *x[i]) - 0.1*c;
printf "élasticité c  =%f\n",c;
for {i in 1..n} {printf "x%d=%d\n", i, x[i];}
data;
param n:=5 ;
param ben:=
       1 9
       2 2
       3 10
       4 3
       5 4;
param poids:=
       1 8
       2 1
       3 5
       4 2
       5 3;
param litres:=
       1 5
       2 5
       3 5
       4 4
       5 4;
end;

